#include "pad.h"

#include "backends/backend.h"

namespace mini
{
    namespace pad
    {
        void init() {
            backend::input::pad::init();
        }

        bool down(int8_t i) {
            return backend::input::pad::down(i);
        }

        bool press(int8_t i) {
            return backend::input::pad::press(i);
        }

        int press() {
            return backend::input::pad::press();
        }
    }
}
